<?php


namespace Controller;

use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Zeedhi\Framework\DTO;

class ApiWebService
{

    public function getVariableMeasureQuantity(DTO\Request $request, DTO\Response $response){

        try{
            $row = $request->getParameters();
            $nrorg = $row['NRORG'];
            $contractId = $row['CONTRACT_ID'];
            $dtinicompet = $row['DTINICOMPET'];
            $dtfincompet = $row['DTFINCOMPET'];
            /** @var \Service\IntegrationOM\ApiWebService $apiService */
            $apiService = InstanceManager::getInstance()->getService('\Service\IntegrationOM\ApiWebService');
            $apiService->getVariableMeasureQuantity($nrorg,$contractId,$dtinicompet ,$dtfincompet);
            die;
        }catch (\Exception $e){
            echo($e->getMessage());
        }
    }

    public function getVariableMeasureLog(DTO\Request $request, DTO\Response $response){
        try{
            $row = $request->getParameters();
            $nrorg = $row['NRORG'];
            $contractId = $row['CONTRACT_ID'];
            $dtinicompet = $row['DTINICOMPET'];
            $dtfincompet = $row['DTFINCOMPET'];
            /** @var \Service\IntegrationOM\ApiWebService $apiService */
            $apiService = InstanceManager::getInstance()->getService('\Service\IntegrationOM\ApiWebService');
            $apiService->getVariableMeasureLog($nrorg,$contractId,$dtinicompet ,$dtfincompet);
            die;
        }catch (\Exception $e){
            echo($e->getMessage());
        }
    }

}