<?php

require "bootstrap.php";

use Zeedhi\Framework\DB\Mongo\Mongo;

//Test database
$mongoParams = array(
    'server' => '192.168.122.102',
    'port' => 27017,
    'mongoOptions' => array()
);

// Oficial database
// $mongoParams = array(
//     'server' => '10.0.0.228',
//     'port' => 27017,
//     'mongoOptions' => array(
//         'username' => "zmart",
//         'password' => "zmart",
//         'authMechanism' => "SCRAM-SHA-1"
//     )
// );

try {
    echo "Starting\n";

    $mdba = new \Util\MongoDataBaseAlterations($mongoParams);
    $parameters = array();
    $mdba->changeOrganizationIds();
    $mdba->changeUsersIds();

    echo "Done!\n";
} catch (\Exception $e) {
    echo $e->getMessage(), "\n";
    exit(1);
}